CALIBRE-SERVER(1)

NAME
calibre-server - calibre-server

calibre-server [options] [path to library folder...]

Start the calibre Content server. The calibre Content server exposes your calibre libraries over the internet. You can specify the path to the library folders as arguments to calibre-server. If you do not specify any paths, all the libraries that the main calibre program knows about will be used.

Whenever you pass arguments to calibre-server that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

[PILIHAN]

--access-log
    Laluan ke fail log capaian. Log ini mengandungi maklumat berkenaan klien yang menyambung ke pelayan dan membuat permintaan. Secara lalai tiada pengelogan capaian dibuat.

--ajax-timeout
    Time (in seconds) to wait for a response from the server when making queries.

--auth-mode
    Pilih jenis pengesahihan yang digunakan. Tetapkan mod pengesahihan HTTP yang digunakan oleh pelayan. Tetapkan ke "basic" jika anda mahu letak pelayan ini disebalik proksi SSL. Jika tidak, biarkannya sebagai "auto", yang mana akan gunakan "basic" jika SSL dikonfigur jika sebaliknya ia akan gunakan "digest".

--auto-reload
    Muat semula pelayan secara automatik bila kod sumber berubah. Berguna untuk pembangunan. Anda patut juga nyatakan nilai kecil untuk had masa tamat dimatikan.

--ban-after
    Bilangan kegagalan daftar masuk untuk disekat. The number of login failures after which an IP address is banned

--ban-for
    Ban IP addresses that have repeated login failures. Temporarily bans access for IP addresses that have repeated login failures for the specified number of minutes. Useful to prevent attempts at guessing passwords. If set to zero, no banning is done.

--book-list-mode
    Choose the default book list mode. Set the default book list mode that will be used for new users. Individual users can override the default in their own settings. The default is to use a cover grid.

--compress-min-size
    Saiz minimum yang membalas penggunaan mampatan data (dalam bait).

--custom-list-template
    Path to a JSON file containing a template for the custom book list mode. The easiest way to create such a template file is to go to Preferences-> Sharing over the net-> Book list template in calibre, create the template and export it.

--daemonize
    Run process in background as a daemon (Linux only).

--displayed-fields
    Restrict displayed user-defined fields. Comma separated list of user-defined metadata fields that will be displayed by the Content server in the /opds and /mobile views. If you specify this option, any fields not in this list will not be displayed. For example: my_rating,my_tags

--enable-allow-socket-preallocation, --disable-allow-socket-preallocation
    Socket pre-allocation, for example, with systemd socket activation. Secara lalai, pilihan ini dibenarkan.

--enable-auth, --disable-auth
    Pengesahihan berasaskan kata laluan untuk mencapai pelayan. Normally, the server is unrestricted, allowing anyone to access it. You can restrict access to predefined users with this option. Secara lalai, pilihan ini dilumpuhkan.

--enable-fallback-to-detected-interface, --disable-fallback-to-detected-interface
    Jatuh-balik ke antaramuka auto-dikesan. Jika atas beberapa sebab pelayan tidak dapat mengikat ke antaramuka yang dinyatakan dalam pilihan listen_on, maka ia akan cuba mengesan satu antaramuka yang bersamnung ke dunia luar yang mengikatnya. Secara lalai, pilihan ini dibenarkan.

--enable-local-write, --disable-local-write
    Allow un-authenticated local connections to make changes. Normally, if you do not turn on authentication, the server operates in read-only mode, so as to not allow anonymous users to make changes to your calibre libraries. This option allows anybody connecting from the same computer as the server is running on to make changes. This is useful if you want to run the server without authentication but still use calibredb to make changes to your calibre libraries. Note that turning on this option means any program running on the computer can make changes to your calibre libraries. Secara lalai, pilihan ini dilumpuhkan.

--enable-log-not-found, --disable-log-not-found
    Log HTTP 404 (Not Found) requests. Normally, the server logs all HTTP requests for resources that are not found. This can generate a lot of log spam, if your server is targeted by bots. Use this option to turn it off. Secara lalai, pilihan ini dibenarkan.

--enable-use-bonjour, --disable-use-bonjour
    Iklankan suapan OPDS melalui BonJour. Iklankan suapan OPDS melalui perkhidmatan BonJour, supaya apl bacaan berasaskan OPDS dapat mengesan dan sambung ke pelayan secara automatik. Secara lalai, pilihan ini dibenarkan.

--enable-use-sendfile, --disable-use-sendfile
    Pemindahan fail salinan sifar untuk tingkatkan prestasi. Ia akan gunakan pemindahan dalam-kernel bersalinan-sifar bila menghantar fail menerusi rangkaian, yang dapat meningkatkan prestasi. Walaubagaimanapun, ia boleh menyebabkan pemindahan fail rosak pada beberapa sistem fail bermasalah. Jika anda menghadapi pemindahan fail rosak, matikannya. Secara lalai, pilihan ini dibenarkan.

--help, -h
    tunjuk mesej bantuan ini dan keluar

--ignored-fields
    Medan data meta ditakrif-pengguna yang diabaikan. Comma separated list of user-defined metadata fields that will not be displayed by the Content server in the /opds and /mobile views. For example: my_rating,my_tags

--listen-on
    Antaramuka yang didengari untuk penyambungan. The default is to listen on all available IPv4 interfaces. You can change this to, for example, "127.0.0.1" to only listen for connections from the local machine, or to "::" to listen to all incoming IPv6 and IPv4 connections.

--log
    Laluan ke fail log untuk log pelayan. Log ini mengandungi maklumat dan ralat pelayan, bukan log capaian. Secara lalai ia ditulis ke stdout.

--manage-users
    Urus pangkalan data pengguna yang dibenarkan untuk sambung ke pelayan ini. Lihat juga pilihan --userdb.

--max-header-line-size
    Saiz maksimum bagi pengepala HTTP (dalam KB).

--max-job-time
    Masa maksimum untuk proses pekerja. Amaun masa maksimum proses pekerja dibenarkan untuk berjalan (dalam minit). Tetapkan pada sifar untuk tanpa had.

--max-jobs
    Bilangan maksimum proses pekerja. Worker processes are launched as needed and used for large jobs such as preparing a book for viewing, adding books, converting, etc. Normally, the max. number of such processes is based on the number of CPU cores. You can control it by this setting.

--max-log-size
    Saiz fail log maks. (dalam MB). Saiz maksimum fail log, dijana oleh pelayan. Bila log menjadi lebih besar berbanding saiz ini, ia diputarkan secara automatik. Tetapkan ke sifar untuk lumpuhkan putaran log.

--max-opds-items
    Jumlah maksimum buku dalam suapan OPDS. Bilangan maksimum buku yang mana pelayan akan kembalikan dalam satu suapan permerolehan OPDS.

--max-opds-ungrouped-items
    Jumlah maksimum item tidak dikelompok dalam suapan OPDS. Kelompok item dalam kategori seperti pengarang/tag mengikut huruf pertama yang mana lebih dari bilangan item ini. Tetapkan pada sifar untuk lumpuhkan.

--max-request-body-size
    Saiz maksimum dibenarkan untuk memuat naik fail ke dalam pelayan (dalam MB).

--num-per-page
    Bilangan buku yang ditunjukkan dalam satu halaman. Bilangan buku yang ditunjukkan dalam satu halaman di dalam pustaka.

--pidfile
    Tulis PID proses ke fail tertentu

--port
    Port yang didengari untuk penyambungan.

--search-the-net-urls
    Path to a JSON file containing URLs for the "Search the internet" feature. The easiest way to create such a file is to go to Preferences-> Sharing over the net->Search the internet in calibre, create the URLs and export them.

--shutdown-timeout
    Jumlah masa dalam saat untuk menunggu penutupan bersih.

--ssl-certfile
    Laluan ke fail sijil SSL.

--ssl-keyfile
    Laluan ke fail kunci persendirian SSL.

--timeout
    Masa (dalam saat) selepas sambungan melahu ditutup.

--trusted-ips
    Allow un-authenticated connections from specific IP addresses to make changes. Normally, if you do not turn on authentication, the server operates in read-only mode, so as to not allow anonymous users to make changes to your calibre libraries. This option allows anybody connecting from the specified IP addresses to make changes. Must be a comma separated list of address or network specifications. This is useful if you want to run the server without authentication but still use calibredb to make changes to your calibre libraries. Note that turning on this option means anyone connecting from the specified IP addresses can make changes to your calibre libraries.

--url-prefix
    Awalan untuk ditambah kepada semua URL. Useful if you wish to run this server behind a reverse proxy. For example use, /calibre as the URL prefix.

--userdb
    Path to the user database to use for authentication. The database is a SQLite file. To create it use --manage-users. You can read more about managing users at: https://manual.calibre-ebook.com/server.html#managing-user-accounts-from-the-command-line-only

--version
    tunjuk nombor versi program dan keluar

--worker-count
    Bilangan bebenang pekerja yang digunakan untuk memproses permintaan.

AUTHOR
Kovid Goyal

COPYRIGHT
Kovid Goyal